Skip to content

Data-gathering tools

All operations require authentication.

21 operationsv1/dbaas/logs
Agent setup

List data-gathering toolsProduction

GET
/1.0/dbaas/logs/{serviceName}/input

Returns the data-gathering tools of the Logs Data Platform service.

Path parameters

serviceName
required
string

Service name

Query parameters

titlePattern
string

Filter by title (like)

Response

200string[]successful operation
404objectError 404 response

Example uses serviceName = string

$ curl https://api.eu.ovhcloud.com/1.0/dbaas/logs/{serviceName}/input \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
[ "00000000-0000-0000-0000-000000000000"]

List data-gathering enginesProduction

GET
/1.0/dbaas/logs/{serviceName}/input/engine

Returns the data-gathering engines of the Logs Data Platform service.

Path parameters

serviceName
required
string

Service name

Response

200string[]successful operation

Example uses serviceName = string

$ curl https://api.eu.ovhcloud.com/1.0/dbaas/logs/{serviceName}/input/engine \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
[ "00000000-0000-0000-0000-000000000000"]

List engine helpersProduction

GET
/1.0/dbaas/logs/{serviceName}/input/engine/{engineId}/helper

Returns the engine helpers of the Logs Data Platform service.

Path parameters

engineId
required
stringuuid

Engine ID

serviceName
required
string

Service name

Response

200string[]successful operation

Example uses engineId = 00000000-0000-0000-0000-000000000000, serviceName = string

$ curl https://api.eu.ovhcloud.com/1.0/dbaas/logs/{serviceName}/input/engine/{engineId}/helper \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
[ "00000000-0000-0000-0000-000000000000"]

Get a data-gathering toolProduction

GET
/1.0/dbaas/logs/{serviceName}/input/{inputId}

Returns the data-gathering tool.

Path parameters

inputId
required
stringuuid

Input ID

serviceName
required
string

Service name

Response

200Inputsuccessful operation
allowedNetworks
read-only
ipBlock[]

IP blocks

autoscale
read-only
boolean

Whether the workload is auto-scaled

createdAt
read-only
stringdate-time

Input creation

description
read-only
string

Input description

engineId
read-only
stringuuid

Input engine ID

exposedPort
read-only
string

Port

hostname
read-only
string

Hostname

inputId
read-only
stringuuid

Input ID

isRestartRequired
read-only
boolean

Indicate if input need to be restarted

maxScaleInstance
read-only
integer

Maximum number of instances in auto-scaled mode

minScaleInstance
read-only
integer

Minimum number of instances in auto-scaled mode

nbInstance
read-only
integer

Number of instance running

publicAddress
read-only
string

Input IP address

scalingNotifyEnabled
read-only
boolean

If set, notify when scaling happens

sslCertificate
read-only
string

Input SSL certificate

status
read-only
InputStatusEnum

init: configuration required, pending: ready to start, running: available

ValuesINITPENDINGPROCESSINGRUNNING
streamId
read-only
stringuuid

Associated Graylog stream

title
read-only
string

Input title

updatedAt
read-only
stringdate-time

Input last update

404objectError 404 response

Example uses inputId = 00000000-0000-0000-0000-000000000000, serviceName = string

$ curl https://api.eu.ovhcloud.com/1.0/dbaas/logs/{serviceName}/input/{inputId} \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
{ "allowedNetworks": [ "192.0.2.0/24" ], "autoscale": true, "createdAt": "2024-01-01T12:00:00Z", "description": "string", "engineId": "00000000-0000-0000-0000-000000000000", "exposedPort": "string", "hostname": "string", "inputId": "00000000-0000-0000-0000-000000000000", "isRestartRequired": true, "maxScaleInstance": 0, "minScaleInstance": 0, "nbInstance": 0, "publicAddress": "string", "scalingNotifyEnabled": true, "sslCertificate": "string", "status": "INIT", "streamId": "00000000-0000-0000-0000-000000000000", "title": "string", "updatedAt": "2024-01-01T12:00:00Z"}

Get a data-gathering engineProduction

GET
/1.0/dbaas/logs/{serviceName}/input/engine/{engineId}

Returns the data-gathering engine.

Path parameters

engineId
required
stringuuid

Engine ID

serviceName
required
string

Service name

Response

200Enginesuccessful operation
engineId
read-only
stringuuid

Input engine ID

isDeprecated
read-only
boolean

Indicates if engine will soon not be supported

name
read-only
EngineNameEnum

Software name

ValuesFLOWGGERLOGSTASHTEST
version
read-only
string

Software version

404objectError 404 response

Example uses engineId = 00000000-0000-0000-0000-000000000000, serviceName = string

$ curl https://api.eu.ovhcloud.com/1.0/dbaas/logs/{serviceName}/input/engine/{engineId} \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
{ "engineId": "00000000-0000-0000-0000-000000000000", "isDeprecated": true, "name": "FLOWGGER", "version": "string"}

Get an engine helperProduction

GET
/1.0/dbaas/logs/{serviceName}/input/engine/{engineId}/helper/{helperId}

Returns the engine helper.

Path parameters

engineId
required
stringuuid

Engine ID

helperId
required
stringuuid

Helper ID

serviceName
required
string

Service name

Response

200Helpersuccessful operation
description
read-only
string

Helper description

engineId
read-only
stringuuid

Input engine UUID

helperId
read-only
stringuuid

Helper UUID

sections
read-only
HelperSection[]

Helper sections

title
read-only
string

Helper title

404objectError 404 response

Example uses engineId = 00000000-0000-0000-0000-000000000000, helperId = 00000000-0000-0000-0000-000000000000, serviceName = string

$ curl https://api.eu.ovhcloud.com/1.0/dbaas/logs/{serviceName}/input/engine/{engineId}/helper/{helperId} \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
{ "description": "string", "engineId": "00000000-0000-0000-0000-000000000000", "helperId": "00000000-0000-0000-0000-000000000000", "sections": [ { "content": "string", "name": "LOGSTASH_FILTER" } ], "title": "string"}

List actions for a data-gathering toolProduction

GET
/1.0/dbaas/logs/{serviceName}/input/{inputId}/action

Returns the actions available on the data-gathering tool.

Path parameters

inputId
required
stringuuid

Input ID

serviceName
required
string

Service name

Response

200InputAction[]successful operation
isAllowed
read-only
boolean

Indicates if action is allowed

type
read-only
InputActionTypeEnum

Action type

ValuesDESTROYENDLOGRESTARTSTARTTEST
404objectError 404 response

Example uses inputId = 00000000-0000-0000-0000-000000000000, serviceName = string

$ curl https://api.eu.ovhcloud.com/1.0/dbaas/logs/{serviceName}/input/{inputId}/action \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
[ { "isAllowed": true, "type": "DESTROY" }]

Get a configuration test resultProduction

GET
/1.0/dbaas/logs/{serviceName}/input/{inputId}/configtest/result

Returns the result of a data-gathering tool configuration test.

Path parameters

inputId
required
stringuuid

Input ID

serviceName
required
string

Service name

Response

200TestResultsuccessful operation
isValid
read-only
boolean

Whether the given configuration pass the syntax test

stderr
read-only
string

Standard error

stdout
read-only
string

Standard output

updatedAt
read-only
stringdate-time

Last config test update

404objectError 404 response

Example uses inputId = 00000000-0000-0000-0000-000000000000, serviceName = string

$ curl https://api.eu.ovhcloud.com/1.0/dbaas/logs/{serviceName}/input/{inputId}/configtest/result \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
{ "isValid": true, "stderr": "string", "stdout": "string", "updatedAt": "2024-01-01T12:00:00Z"}

Get the Flowgger configurationProduction

GET
/1.0/dbaas/logs/{serviceName}/input/{inputId}/configuration/flowgger

Returns the Flowgger configuration of the Logs Data Platform service.

Path parameters

inputId
required
stringuuid

Input ID

serviceName
required
string

Service name

Response

200FlowggerConfigurationsuccessful operation
logFormat
read-only
FlowggerConfigurationLogFormatEnum

Type of format to decode

ValuesCAPNPGELFLTSVRFC5424
logFraming
read-only
FlowggerConfigurationLogFramingEnum

Indicates how messages are delimited

ValuesCAPNPLINENULSYSLEN
404objectError 404 response

Example uses inputId = 00000000-0000-0000-0000-000000000000, serviceName = string

$ curl https://api.eu.ovhcloud.com/1.0/dbaas/logs/{serviceName}/input/{inputId}/configuration/flowgger \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
{ "logFormat": "CAPNP", "logFraming": "CAPNP"}

Get the Logstash configurationProduction

GET
/1.0/dbaas/logs/{serviceName}/input/{inputId}/configuration/logstash

Returns the Logstash configuration of the Logs Data Platform service.

Path parameters

inputId
required
stringuuid

Input ID

serviceName
required
string

Service name

Response

200LogstashConfigurationsuccessful operation
filterSection
read-only
string

The filter section of logstash.conf

inputSection
read-only
string

The filter section of logstash.conf

patternSection
read-only
string

The list of customs Grok patterns

404objectError 404 response

Example uses inputId = 00000000-0000-0000-0000-000000000000, serviceName = string

$ curl https://api.eu.ovhcloud.com/1.0/dbaas/logs/{serviceName}/input/{inputId}/configuration/logstash \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
{ "filterSection": "string", "inputSection": "string", "patternSection": "string"}

List data-gathering tool URLsProduction

GET
/1.0/dbaas/logs/{serviceName}/input/{inputId}/url

Returns the data-gathering tool URLs of the Logs Data Platform service.

Path parameters

inputId
required
stringuuid

Input ID

serviceName
required
string

Service name

Response

200Url[]successful operation
address
read-only
string

Web URI

type
read-only
UrlTypeEnum

Service type

ValuesCONSOLEELASTICSEARCH_APIGRAYLOG_APIGRAYLOG_WEBUIHTTP_GELFHTTP_TLS_GELFKIBANA_WEBUIOPENSEARCH_APIOSD_WEBUIPROMETHEUS_APISERVICE_DOMAINTCP_BEATSTCP_CAP_N_PROTOTCP_GELFTCP_LTSV_LINETCP_LTSV_NULTCP_RFC5424TCP_TLS_BEATSTCP_TLS_CAP_N_PROTOTCP_TLS_GELFTCP_TLS_LTSV_LINETCP_TLS_LTSV_NULTCP_TLS_RFC5424UDP_CAP_N_PROTOUDP_GELFUDP_LTSV_LINEUDP_LTSV_NULUDP_RFC5424WEB_SOCKET
404objectError 404 response

Example uses inputId = 00000000-0000-0000-0000-000000000000, serviceName = string

$ curl https://api.eu.ovhcloud.com/1.0/dbaas/logs/{serviceName}/input/{inputId}/url \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
[ { "address": "string", "type": "CONSOLE" }]

Create a data-gathering toolProduction

POST
/1.0/dbaas/logs/{serviceName}/input

Creates a data-gathering tool on the Logs Data Platform service.

Path parameters

serviceName
required
string

Service name

Request body (required)

allowedNetworks
ipBlock[]

IP blocks

autoscale
boolean

Whether the workload is auto-scaled

description
required
string

Description

engineId
required
stringuuid

Engine ID

exposedPort
string

Exposed port

maxScaleInstance
integer

Maximum number of instances in auto-scaled mode

minScaleInstance
integer

Minimum number of instances in auto-scaled mode

nbInstance
integer

Number of instance running

scalingNotifyEnabled
boolean

If set, notify when scaling happens

streamId
required
stringuuid

Stream ID

title
required
string

Title

Response

200Operationsuccessful operation
aliasId
read-only
stringuuid

Alias used

createdAt
read-only
stringdate-time

Operation creation

dashboardId
read-only
stringuuid

Dashboard used

encryptionKeyId
read-only
stringuuid

Encryption key used

indexId
read-only
stringuuid

Index used

inputId
read-only
stringuuid

Input used

operationId
read-only
stringuuid

Operation ID

osdId
read-only
stringuuid

OpenSearch Dashboards used

roleId
read-only
stringuuid

Role used

serviceName
read-only
string

Service name

state
read-only
OperationStateEnum

Operation status

ValuesFAILUREPENDINGRECEIVEDRETRYREVOKEDRUNNINGSTARTEDSUCCESS
streamId
read-only
stringuuid

Stream used

subscriptionId
read-only
stringuuid

Subscription used

tenantId
read-only
stringuuid

Metrics tenant used

tokenId
read-only
stringuuid

Token used

updatedAt
read-only
stringdate-time

Operation last update

403objectError 403 response
404objectError 404 response
409objectError 409 response

Example uses serviceName = string

$ curl https://api.eu.ovhcloud.com/1.0/dbaas/logs/{serviceName}/input \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
{ "aliasId": "00000000-0000-0000-0000-000000000000", "createdAt": "2024-01-01T12:00:00Z", "dashboardId": "00000000-0000-0000-0000-000000000000", "encryptionKeyId": "00000000-0000-0000-0000-000000000000", "indexId": "00000000-0000-0000-0000-000000000000", "inputId": "00000000-0000-0000-0000-000000000000", "operationId": "00000000-0000-0000-0000-000000000000", "osdId": "00000000-0000-0000-0000-000000000000", "roleId": "00000000-0000-0000-0000-000000000000", "serviceName": "string", "state": "FAILURE", "streamId": "00000000-0000-0000-0000-000000000000", "subscriptionId": "00000000-0000-0000-0000-000000000000", "tenantId": "00000000-0000-0000-0000-000000000000", "tokenId": "00000000-0000-0000-0000-000000000000", "updatedAt": "2024-01-01T12:00:00Z"}

Validate a data-gathering tool configurationProduction

POST
/1.0/dbaas/logs/{serviceName}/input/{inputId}/configtest

Checks the data-gathering tool configuration and returns a test result.

Path parameters

inputId
required
stringuuid

Input ID

serviceName
required
string

Service name

Response

200Operationsuccessful operation
aliasId
read-only
stringuuid

Alias used

createdAt
read-only
stringdate-time

Operation creation

dashboardId
read-only
stringuuid

Dashboard used

encryptionKeyId
read-only
stringuuid

Encryption key used

indexId
read-only
stringuuid

Index used

inputId
read-only
stringuuid

Input used

operationId
read-only
stringuuid

Operation ID

osdId
read-only
stringuuid

OpenSearch Dashboards used

roleId
read-only
stringuuid

Role used

serviceName
read-only
string

Service name

state
read-only
OperationStateEnum

Operation status

ValuesFAILUREPENDINGRECEIVEDRETRYREVOKEDRUNNINGSTARTEDSUCCESS
streamId
read-only
stringuuid

Stream used

subscriptionId
read-only
stringuuid

Subscription used

tenantId
read-only
stringuuid

Metrics tenant used

tokenId
read-only
stringuuid

Token used

updatedAt
read-only
stringdate-time

Operation last update

403objectError 403 response
404objectError 404 response

Example uses inputId = 00000000-0000-0000-0000-000000000000, serviceName = string

$ curl https://api.eu.ovhcloud.com/1.0/dbaas/logs/{serviceName}/input/{inputId}/configtest \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
{ "aliasId": "00000000-0000-0000-0000-000000000000", "createdAt": "2024-01-01T12:00:00Z", "dashboardId": "00000000-0000-0000-0000-000000000000", "encryptionKeyId": "00000000-0000-0000-0000-000000000000", "indexId": "00000000-0000-0000-0000-000000000000", "inputId": "00000000-0000-0000-0000-000000000000", "operationId": "00000000-0000-0000-0000-000000000000", "osdId": "00000000-0000-0000-0000-000000000000", "roleId": "00000000-0000-0000-0000-000000000000", "serviceName": "string", "state": "FAILURE", "streamId": "00000000-0000-0000-0000-000000000000", "subscriptionId": "00000000-0000-0000-0000-000000000000", "tenantId": "00000000-0000-0000-0000-000000000000", "tokenId": "00000000-0000-0000-0000-000000000000", "updatedAt": "2024-01-01T12:00:00Z"}

Start a data-gathering toolProduction

POST
/1.0/dbaas/logs/{serviceName}/input/{inputId}/start

Starts the data-gathering tool.

Path parameters

inputId
required
stringuuid

Input ID

serviceName
required
string

Service name

Response

200Operationsuccessful operation
aliasId
read-only
stringuuid

Alias used

createdAt
read-only
stringdate-time

Operation creation

dashboardId
read-only
stringuuid

Dashboard used

encryptionKeyId
read-only
stringuuid

Encryption key used

indexId
read-only
stringuuid

Index used

inputId
read-only
stringuuid

Input used

operationId
read-only
stringuuid

Operation ID

osdId
read-only
stringuuid

OpenSearch Dashboards used

roleId
read-only
stringuuid

Role used

serviceName
read-only
string

Service name

state
read-only
OperationStateEnum

Operation status

ValuesFAILUREPENDINGRECEIVEDRETRYREVOKEDRUNNINGSTARTEDSUCCESS
streamId
read-only
stringuuid

Stream used

subscriptionId
read-only
stringuuid

Subscription used

tenantId
read-only
stringuuid

Metrics tenant used

tokenId
read-only
stringuuid

Token used

updatedAt
read-only
stringdate-time

Operation last update

403objectError 403 response
404objectError 404 response

Example uses inputId = 00000000-0000-0000-0000-000000000000, serviceName = string

$ curl https://api.eu.ovhcloud.com/1.0/dbaas/logs/{serviceName}/input/{inputId}/start \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
{ "aliasId": "00000000-0000-0000-0000-000000000000", "createdAt": "2024-01-01T12:00:00Z", "dashboardId": "00000000-0000-0000-0000-000000000000", "encryptionKeyId": "00000000-0000-0000-0000-000000000000", "indexId": "00000000-0000-0000-0000-000000000000", "inputId": "00000000-0000-0000-0000-000000000000", "operationId": "00000000-0000-0000-0000-000000000000", "osdId": "00000000-0000-0000-0000-000000000000", "roleId": "00000000-0000-0000-0000-000000000000", "serviceName": "string", "state": "FAILURE", "streamId": "00000000-0000-0000-0000-000000000000", "subscriptionId": "00000000-0000-0000-0000-000000000000", "tenantId": "00000000-0000-0000-0000-000000000000", "tokenId": "00000000-0000-0000-0000-000000000000", "updatedAt": "2024-01-01T12:00:00Z"}

Restart a data-gathering toolProduction

POST
/1.0/dbaas/logs/{serviceName}/input/{inputId}/restart

Restarts the data-gathering tool.

Path parameters

inputId
required
stringuuid

Input ID

serviceName
required
string

Service name

Response

200Operationsuccessful operation
aliasId
read-only
stringuuid

Alias used

createdAt
read-only
stringdate-time

Operation creation

dashboardId
read-only
stringuuid

Dashboard used

encryptionKeyId
read-only
stringuuid

Encryption key used

indexId
read-only
stringuuid

Index used

inputId
read-only
stringuuid

Input used

operationId
read-only
stringuuid

Operation ID

osdId
read-only
stringuuid

OpenSearch Dashboards used

roleId
read-only
stringuuid

Role used

serviceName
read-only
string

Service name

state
read-only
OperationStateEnum

Operation status

ValuesFAILUREPENDINGRECEIVEDRETRYREVOKEDRUNNINGSTARTEDSUCCESS
streamId
read-only
stringuuid

Stream used

subscriptionId
read-only
stringuuid

Subscription used

tenantId
read-only
stringuuid

Metrics tenant used

tokenId
read-only
stringuuid

Token used

updatedAt
read-only
stringdate-time

Operation last update

403objectError 403 response
404objectError 404 response

Example uses inputId = 00000000-0000-0000-0000-000000000000, serviceName = string

$ curl https://api.eu.ovhcloud.com/1.0/dbaas/logs/{serviceName}/input/{inputId}/restart \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
{ "aliasId": "00000000-0000-0000-0000-000000000000", "createdAt": "2024-01-01T12:00:00Z", "dashboardId": "00000000-0000-0000-0000-000000000000", "encryptionKeyId": "00000000-0000-0000-0000-000000000000", "indexId": "00000000-0000-0000-0000-000000000000", "inputId": "00000000-0000-0000-0000-000000000000", "operationId": "00000000-0000-0000-0000-000000000000", "osdId": "00000000-0000-0000-0000-000000000000", "roleId": "00000000-0000-0000-0000-000000000000", "serviceName": "string", "state": "FAILURE", "streamId": "00000000-0000-0000-0000-000000000000", "subscriptionId": "00000000-0000-0000-0000-000000000000", "tenantId": "00000000-0000-0000-0000-000000000000", "tokenId": "00000000-0000-0000-0000-000000000000", "updatedAt": "2024-01-01T12:00:00Z"}

End a data-gathering toolProduction

POST
/1.0/dbaas/logs/{serviceName}/input/{inputId}/end

Stops the data-gathering tool.

Path parameters

inputId
required
stringuuid

Input ID

serviceName
required
string

Service name

Response

200Operationsuccessful operation
aliasId
read-only
stringuuid

Alias used

createdAt
read-only
stringdate-time

Operation creation

dashboardId
read-only
stringuuid

Dashboard used

encryptionKeyId
read-only
stringuuid

Encryption key used

indexId
read-only
stringuuid

Index used

inputId
read-only
stringuuid

Input used

operationId
read-only
stringuuid

Operation ID

osdId
read-only
stringuuid

OpenSearch Dashboards used

roleId
read-only
stringuuid

Role used

serviceName
read-only
string

Service name

state
read-only
OperationStateEnum

Operation status

ValuesFAILUREPENDINGRECEIVEDRETRYREVOKEDRUNNINGSTARTEDSUCCESS
streamId
read-only
stringuuid

Stream used

subscriptionId
read-only
stringuuid

Subscription used

tenantId
read-only
stringuuid

Metrics tenant used

tokenId
read-only
stringuuid

Token used

updatedAt
read-only
stringdate-time

Operation last update

403objectError 403 response
404objectError 404 response

Example uses inputId = 00000000-0000-0000-0000-000000000000, serviceName = string

$ curl https://api.eu.ovhcloud.com/1.0/dbaas/logs/{serviceName}/input/{inputId}/end \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
{ "aliasId": "00000000-0000-0000-0000-000000000000", "createdAt": "2024-01-01T12:00:00Z", "dashboardId": "00000000-0000-0000-0000-000000000000", "encryptionKeyId": "00000000-0000-0000-0000-000000000000", "indexId": "00000000-0000-0000-0000-000000000000", "inputId": "00000000-0000-0000-0000-000000000000", "operationId": "00000000-0000-0000-0000-000000000000", "osdId": "00000000-0000-0000-0000-000000000000", "roleId": "00000000-0000-0000-0000-000000000000", "serviceName": "string", "state": "FAILURE", "streamId": "00000000-0000-0000-0000-000000000000", "subscriptionId": "00000000-0000-0000-0000-000000000000", "tenantId": "00000000-0000-0000-0000-000000000000", "tokenId": "00000000-0000-0000-0000-000000000000", "updatedAt": "2024-01-01T12:00:00Z"}

Create a temporary URL for data-gathering tool logsProduction

POST
/1.0/dbaas/logs/{serviceName}/input/{inputId}/logs/url

Creates a temporary URL to read the logs of a data-gathering tool. The URL expires.

Path parameters

inputId
required
stringuuid

Input ID

serviceName
required
string

Service name

Response

200TemporaryLogsLinksuccessful operation
expirationDate
read-only
stringdate-time

Temporary url expiration date

url
read-only
string

Temporary url

403objectError 403 response
404objectError 404 response

Example uses inputId = 00000000-0000-0000-0000-000000000000, serviceName = string

$ curl https://api.eu.ovhcloud.com/1.0/dbaas/logs/{serviceName}/input/{inputId}/logs/url \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
{ "expirationDate": "2024-01-01T12:00:00Z", "url": "string"}

Delete a data-gathering toolProduction

DELETE
/1.0/dbaas/logs/{serviceName}/input/{inputId}

Deletes the data-gathering tool.

Path parameters

inputId
required
stringuuid

Input ID

serviceName
required
string

Service name

Response

200Operationsuccessful operation
aliasId
read-only
stringuuid

Alias used

createdAt
read-only
stringdate-time

Operation creation

dashboardId
read-only
stringuuid

Dashboard used

encryptionKeyId
read-only
stringuuid

Encryption key used

indexId
read-only
stringuuid

Index used

inputId
read-only
stringuuid

Input used

operationId
read-only
stringuuid

Operation ID

osdId
read-only
stringuuid

OpenSearch Dashboards used

roleId
read-only
stringuuid

Role used

serviceName
read-only
string

Service name

state
read-only
OperationStateEnum

Operation status

ValuesFAILUREPENDINGRECEIVEDRETRYREVOKEDRUNNINGSTARTEDSUCCESS
streamId
read-only
stringuuid

Stream used

subscriptionId
read-only
stringuuid

Subscription used

tenantId
read-only
stringuuid

Metrics tenant used

tokenId
read-only
stringuuid

Token used

updatedAt
read-only
stringdate-time

Operation last update

403objectError 403 response
404objectError 404 response

Example uses inputId = 00000000-0000-0000-0000-000000000000, serviceName = string

$ curl https://api.eu.ovhcloud.com/1.0/dbaas/logs/{serviceName}/input/{inputId} \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
{ "aliasId": "00000000-0000-0000-0000-000000000000", "createdAt": "2024-01-01T12:00:00Z", "dashboardId": "00000000-0000-0000-0000-000000000000", "encryptionKeyId": "00000000-0000-0000-0000-000000000000", "indexId": "00000000-0000-0000-0000-000000000000", "inputId": "00000000-0000-0000-0000-000000000000", "operationId": "00000000-0000-0000-0000-000000000000", "osdId": "00000000-0000-0000-0000-000000000000", "roleId": "00000000-0000-0000-0000-000000000000", "serviceName": "string", "state": "FAILURE", "streamId": "00000000-0000-0000-0000-000000000000", "subscriptionId": "00000000-0000-0000-0000-000000000000", "tenantId": "00000000-0000-0000-0000-000000000000", "tokenId": "00000000-0000-0000-0000-000000000000", "updatedAt": "2024-01-01T12:00:00Z"}

Update a data-gathering toolProduction

PUT
/1.0/dbaas/logs/{serviceName}/input/{inputId}

Updates the data-gathering tool.

Path parameters

inputId
required
stringuuid

Input ID

serviceName
required
string

Service name

Request body (required)

allowedNetworks
ipBlock[]

IP blocks

autoscale
boolean

Whether the workload is auto-scaled

description
required
string

Description

engineId
required
stringuuid

Engine ID

exposedPort
string

Exposed port

maxScaleInstance
integer

Maximum number of instances in auto-scaled mode

minScaleInstance
integer

Minimum number of instances in auto-scaled mode

nbInstance
integer

Number of instance running

scalingNotifyEnabled
boolean

If set, notify when scaling happens

streamId
required
stringuuid

Stream ID

title
required
string

Title

Response

200Operationsuccessful operation
aliasId
read-only
stringuuid

Alias used

createdAt
read-only
stringdate-time

Operation creation

dashboardId
read-only
stringuuid

Dashboard used

encryptionKeyId
read-only
stringuuid

Encryption key used

indexId
read-only
stringuuid

Index used

inputId
read-only
stringuuid

Input used

operationId
read-only
stringuuid

Operation ID

osdId
read-only
stringuuid

OpenSearch Dashboards used

roleId
read-only
stringuuid

Role used

serviceName
read-only
string

Service name

state
read-only
OperationStateEnum

Operation status

ValuesFAILUREPENDINGRECEIVEDRETRYREVOKEDRUNNINGSTARTEDSUCCESS
streamId
read-only
stringuuid

Stream used

subscriptionId
read-only
stringuuid

Subscription used

tenantId
read-only
stringuuid

Metrics tenant used

tokenId
read-only
stringuuid

Token used

updatedAt
read-only
stringdate-time

Operation last update

403objectError 403 response
404objectError 404 response
409objectError 409 response

Example uses inputId = 00000000-0000-0000-0000-000000000000, serviceName = string

$ curl https://api.eu.ovhcloud.com/1.0/dbaas/logs/{serviceName}/input/{inputId} \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
{ "aliasId": "00000000-0000-0000-0000-000000000000", "createdAt": "2024-01-01T12:00:00Z", "dashboardId": "00000000-0000-0000-0000-000000000000", "encryptionKeyId": "00000000-0000-0000-0000-000000000000", "indexId": "00000000-0000-0000-0000-000000000000", "inputId": "00000000-0000-0000-0000-000000000000", "operationId": "00000000-0000-0000-0000-000000000000", "osdId": "00000000-0000-0000-0000-000000000000", "roleId": "00000000-0000-0000-0000-000000000000", "serviceName": "string", "state": "FAILURE", "streamId": "00000000-0000-0000-0000-000000000000", "subscriptionId": "00000000-0000-0000-0000-000000000000", "tenantId": "00000000-0000-0000-0000-000000000000", "tokenId": "00000000-0000-0000-0000-000000000000", "updatedAt": "2024-01-01T12:00:00Z"}

Update the Flowgger configurationProduction

PUT
/1.0/dbaas/logs/{serviceName}/input/{inputId}/configuration/flowgger

Updates the Flowgger configuration of the Logs Data Platform service.

Path parameters

inputId
required
stringuuid

Input ID

serviceName
required
string

Service name

Request body (required)

logFormat
required
FlowggerConfigurationLogFormatEnum

configuration log format

ValuesCAPNPGELFLTSVRFC5424
logFraming
required
FlowggerConfigurationLogFramingEnum

Log framing

ValuesCAPNPLINENULSYSLEN

Response

200Operationsuccessful operation
aliasId
read-only
stringuuid

Alias used

createdAt
read-only
stringdate-time

Operation creation

dashboardId
read-only
stringuuid

Dashboard used

encryptionKeyId
read-only
stringuuid

Encryption key used

indexId
read-only
stringuuid

Index used

inputId
read-only
stringuuid

Input used

operationId
read-only
stringuuid

Operation ID

osdId
read-only
stringuuid

OpenSearch Dashboards used

roleId
read-only
stringuuid

Role used

serviceName
read-only
string

Service name

state
read-only
OperationStateEnum

Operation status

ValuesFAILUREPENDINGRECEIVEDRETRYREVOKEDRUNNINGSTARTEDSUCCESS
streamId
read-only
stringuuid

Stream used

subscriptionId
read-only
stringuuid

Subscription used

tenantId
read-only
stringuuid

Metrics tenant used

tokenId
read-only
stringuuid

Token used

updatedAt
read-only
stringdate-time

Operation last update

403objectError 403 response
404objectError 404 response

Example uses inputId = 00000000-0000-0000-0000-000000000000, serviceName = string

$ curl https://api.eu.ovhcloud.com/1.0/dbaas/logs/{serviceName}/input/{inputId}/configuration/flowgger \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
{ "aliasId": "00000000-0000-0000-0000-000000000000", "createdAt": "2024-01-01T12:00:00Z", "dashboardId": "00000000-0000-0000-0000-000000000000", "encryptionKeyId": "00000000-0000-0000-0000-000000000000", "indexId": "00000000-0000-0000-0000-000000000000", "inputId": "00000000-0000-0000-0000-000000000000", "operationId": "00000000-0000-0000-0000-000000000000", "osdId": "00000000-0000-0000-0000-000000000000", "roleId": "00000000-0000-0000-0000-000000000000", "serviceName": "string", "state": "FAILURE", "streamId": "00000000-0000-0000-0000-000000000000", "subscriptionId": "00000000-0000-0000-0000-000000000000", "tenantId": "00000000-0000-0000-0000-000000000000", "tokenId": "00000000-0000-0000-0000-000000000000", "updatedAt": "2024-01-01T12:00:00Z"}

Update the Logstash configurationProduction

PUT
/1.0/dbaas/logs/{serviceName}/input/{inputId}/configuration/logstash

Updates the Logstash configuration of the Logs Data Platform service.

Path parameters

inputId
required
stringuuid

Input ID

serviceName
required
string

Service name

Request body (required)

filterSection
string

Filter section

inputSection
required
string

Input section

patternSection
string

Pattern section

Response

200Operationsuccessful operation
aliasId
read-only
stringuuid

Alias used

createdAt
read-only
stringdate-time

Operation creation

dashboardId
read-only
stringuuid

Dashboard used

encryptionKeyId
read-only
stringuuid

Encryption key used

indexId
read-only
stringuuid

Index used

inputId
read-only
stringuuid

Input used

operationId
read-only
stringuuid

Operation ID

osdId
read-only
stringuuid

OpenSearch Dashboards used

roleId
read-only
stringuuid

Role used

serviceName
read-only
string

Service name

state
read-only
OperationStateEnum

Operation status

ValuesFAILUREPENDINGRECEIVEDRETRYREVOKEDRUNNINGSTARTEDSUCCESS
streamId
read-only
stringuuid

Stream used

subscriptionId
read-only
stringuuid

Subscription used

tenantId
read-only
stringuuid

Metrics tenant used

tokenId
read-only
stringuuid

Token used

updatedAt
read-only
stringdate-time

Operation last update

403objectError 403 response
404objectError 404 response

Example uses inputId = 00000000-0000-0000-0000-000000000000, serviceName = string

$ curl https://api.eu.ovhcloud.com/1.0/dbaas/logs/{serviceName}/input/{inputId}/configuration/logstash \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
{ "aliasId": "00000000-0000-0000-0000-000000000000", "createdAt": "2024-01-01T12:00:00Z", "dashboardId": "00000000-0000-0000-0000-000000000000", "encryptionKeyId": "00000000-0000-0000-0000-000000000000", "indexId": "00000000-0000-0000-0000-000000000000", "inputId": "00000000-0000-0000-0000-000000000000", "operationId": "00000000-0000-0000-0000-000000000000", "osdId": "00000000-0000-0000-0000-000000000000", "roleId": "00000000-0000-0000-0000-000000000000", "serviceName": "string", "state": "FAILURE", "streamId": "00000000-0000-0000-0000-000000000000", "subscriptionId": "00000000-0000-0000-0000-000000000000", "tenantId": "00000000-0000-0000-0000-000000000000", "tokenId": "00000000-0000-0000-0000-000000000000", "updatedAt": "2024-01-01T12:00:00Z"}